RK-A2 - Feature #3643

Task # 3653 (Closed): Launch with first chapter support - Phase 1 - Practice for Decent Learners (Top 5 Themes, No DetailedQNAs, No Detailed
Answers)

Support in call_openai_api for version, template dictionary, attachments and core arguments
07/01/2024 07:10 AM - Ram Kordale

Status: Closed Start date: 07/01/2024
Priority: High Due date:

Assignee: Ram Kordale % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Add version, template_dict, attachments and 'core arguments' as arguments.
if version is not 1.0, return unsupported version error.
replace template_dict[key] in final prompt with template_dict[value].

'attachments' is a list of GCS files. Attach these to the message.
'core arguments' are "temperature”, "max_tokens", "top_p", "frequency_penalty", and "presence_penalty" which are directly used as
arguments to the openai api.

Minimum Test I:
- version is 1.2; return error

Minimum Test Il:

- version not given. assume, it is version 1.0

- create a jpg file containing only "Let there be universal peace.". upload it as GCS file.

- create another jpg file containing only "Let there be happiness all around!". upload it as GCS file.
- set prompt to "Tell what is written in the two uploaded files. Then, write fantastic”

- template_dict[key]="fantastic", template_dict[value]="Super"

Response should be "Let there be universal peace. Let there be happiness all around! Super”

Minimum Test IIl:

- same as Test Il

- set periodic prompt to "Say Hello There!"
- replace tokens from 40960 to 100 in code
- make the call_openai_api calls.

The first response should be "Hello There! Let there be universal peace. Let there be happiness all around! Super”
The next 2 or 3 responses should be "Let there be universal peace. Let there be happiness all around! Super”
The next response should be "Hello There! Let there be universal peace. Let there be happiness all around! Super"”
The next 2 or 3 responses should be "Let there be universal peace. Let there be happiness all around! Super”
The next response should be "Hello There! Let there be universal peace. Let there be happiness all around! Super”

History

#1 - 07/02/2024 06:38 AM - Ram Kordale

- Subject changed from Support in call_openai_api for version and template dictionary to Support in call_openai_api for version, template dictionary,
attachments and core arguments

- Description updated

#2 - 07/02/2024 06:44 AM - Ram Kordale

- Description updated

#3 - 07/05/2024 06:32 AM - Md Shahzar
- Status changed from New to Resolved

- % Done changed from 0 to 100
#4 - 07/05/2024 10:16 AM - Ram Kordale
- Description updated

#5 - 07/05/2024 10:50 AM - Ram Kordale
- Description updated

#6 - 07/06/2024 12:40 PM - Ram Kordale
- Parent task set to #3653

#7 - 07/09/2024 06:57 AM - Md Shahzar
- Status changed from Resolved to Feedback

- Assignee changed from Md Shahzar to Ram Kordale

#8 - 09/11/2024 06:24 AM - Ram Kordale
- Status changed from Feedback to Closed
